<?php

namespace Drupal\commerce_refunds\Form;

use Drupal\commerce_order\Entity\Order;
use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Provides the default form handler for the Refund record entity.
 */
class RefundRecordForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $form_state) {
    $form = parent::form($form, $form_state);
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $order_id = \Drupal::request()->query->get('order_id');
    if (!empty($order_id)) {
      $entity = $this->entity;
      $order = Order::load($order_id);
      $order_num = $order->getOrderNumber();
      if (!empty($order)) {
        $uid = $order->get('uid')->target_id;
        $entity->set('order_id', $order_id);
        $entity->set('uid', $uid);
        $entity->set('title', "用户ID：$uid 订单：$order_num ，申请退款");
      }
    }
    $saved = parent::save($form, $form_state);
    $form_state->setRedirectUrl($this->entity->toUrl('canonical'));

    return $saved;
  }

}
